Get User Org Service Roles
Use this API instead:
- /oidc/userinfo
Access Policy
| Role | Access |
|---|---|
| Platform operator | ✔️ |
| Organization Owner | ✔️ |
| Organization Member | ✔️ |
| Service Account (Whitelisted Client) | ✔️ |
Request
URI
GET
https://vra-interop-222-139.lvn.broadcom.net/csp/gateway/am/api/loggedin/user/orgs/{orgId}/service-roles
COPY
Path Parameters
string
orgId
Required
orgId
Query Parameters
string
serviceDefinitionLink
Optional
serviceDefinitionLink
Responses
200
OK
Returns
UserServiceRoles
of type(s)
*/*
{
"serviceRoles": [
{
"serviceRoles": [
{
"id": "string",
"name": "string",
"membershipType": "string",
"expiresAt": "string",
"resource": "string"
}
],
"serviceDefinitionLink": "string",
"serviceRoleNames": [
"string"
]
}
]
}
array of
object
serviceRoles
Optional
serviceRoles
401
The user is not authorized to use the API.
Returns
UserServiceRoles
of type(s)
*/*
"UserServiceRoles Object"
array of
object
serviceRoles
Optional
serviceRoles
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/loggedin/user/orgs/{orgId}/service-roles
Deprecated
On This Page
Principal User Controller Operations
PUT
Update User Preferences
Deprecated
GET
Get Principal User Profile
Deprecated
PATCH
Update User Profile
Deprecated
GET
Get User Orgs
Deprecated
GET
Get Logged In User
Deprecated
GET
Get User Org Service Roles
Deprecated
GET
Get User Org Roles
Deprecated
GET
Get User Org Info
Deprecated
GET
Get Logged In User Groups On Org
Deprecated
GET
Get Logged In User Details
Deprecated
GET
Get User Default Org
Deprecated